public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] repo/gentoo:master commit in: games-action/abuse/
@ 2016-07-05 18:46 Austin English
  0 siblings, 0 replies; 9+ messages in thread
From: Austin English @ 2016-07-05 18:46 UTC (permalink / raw
  To: gentoo-commits

commit:     be9278be49527bf9e8fd460e9a95812007aec09e
Author:     Austin English <wizardedit <AT> gentoo <DOT> org>
AuthorDate: Tue Jul  5 17:47:01 2016 +0000
Commit:     Austin English <wizardedit <AT> gentoo <DOT> org>
CommitDate: Tue Jul  5 18:45:55 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=be9278be

games-action/abuse: remove deprecated games eclass

Also update to EAPI 6

Gentoo-Bug: https://bugs.gentoo.org/574082

Package-Manager: portage-2.2.28

 games-action/abuse/abuse-0.8-r1.ebuild | 42 ++++++++++++++++++++++++++++++++++
 1 file changed, 42 insertions(+)

diff --git a/games-action/abuse/abuse-0.8-r1.ebuild b/games-action/abuse/abuse-0.8-r1.ebuild
new file mode 100644
index 0000000..0bbaaa9
--- /dev/null
+++ b/games-action/abuse/abuse-0.8-r1.ebuild
@@ -0,0 +1,42 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+inherit autotools
+
+DESCRIPTION="Port of Abuse by Crack Dot Com"
+HOMEPAGE="http://abuse.zoy.org/"
+SRC_URI="http://abuse.zoy.org/raw-attachment/wiki/download/${P}.tar.gz"
+
+LICENSE="GPL-2 WTFPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~x86"
+IUSE=""
+
+DEPEND=">=media-libs/libsdl-1.1.6[sound,opengl,video]
+	media-libs/sdl-mixer
+	virtual/opengl"
+RDEPEND="${DEPEND}"
+
+PATCHES=(
+	"${FILESDIR}"/${P}-gentoo.patch
+)
+
+src_prepare() {
+	default
+	eautoreconf
+}
+
+src_install() {
+	# Source-based install
+	default
+
+	doicon doc/${PN}.png
+	make_desktop_entry abuse Abuse
+}
+
+pkg_postinst() {
+	elog "NOTE: If you had previous version of abuse installed"
+	elog "you may need to remove ~/.abuse for the game to work correctly."
+}


^ permalink raw reply related	[flat|nested] 9+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: games-action/abuse/
@ 2017-11-19 13:34 David Seifert
  0 siblings, 0 replies; 9+ messages in thread
From: David Seifert @ 2017-11-19 13:34 UTC (permalink / raw
  To: gentoo-commits

commit:     9af164e00596dc91f230d4ce1051b68a0b5575a8
Author:     David Seifert <soap <AT> gentoo <DOT> org>
AuthorDate: Sun Nov 19 13:04:00 2017 +0000
Commit:     David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Sun Nov 19 13:34:18 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=9af164e0

games-action/abuse: Remove old

Package-Manager: Portage-2.3.14, Repoman-2.3.6

 games-action/abuse/abuse-0.8.ebuild | 45 -------------------------------------
 1 file changed, 45 deletions(-)

diff --git a/games-action/abuse/abuse-0.8.ebuild b/games-action/abuse/abuse-0.8.ebuild
deleted file mode 100644
index d56c20871b1..00000000000
--- a/games-action/abuse/abuse-0.8.ebuild
+++ /dev/null
@@ -1,45 +0,0 @@
-# Copyright 1999-2014 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=5
-inherit autotools eutils games
-
-DESCRIPTION="port of Abuse by Crack Dot Com"
-HOMEPAGE="http://abuse.zoy.org/"
-SRC_URI="http://abuse.zoy.org/raw-attachment/wiki/download/${P}.tar.gz"
-
-LICENSE="GPL-2 WTFPL-2"
-SLOT="0"
-KEYWORDS="~amd64 ~x86"
-IUSE=""
-
-DEPEND=">=media-libs/libsdl-1.1.6[sound,opengl,video]
-	media-libs/sdl-mixer
-	virtual/opengl"
-RDEPEND="${DEPEND}"
-
-src_prepare() {
-	epatch "${FILESDIR}"/${P}-gentoo.patch
-	eautoreconf
-}
-
-src_configure() {
-	egamesconf \
-		--with-assetdir="${GAMES_DATADIR}/${PN}"
-}
-
-src_install() {
-	# Source-based install
-	default
-
-	doicon doc/${PN}.png
-	make_desktop_entry abuse Abuse
-
-	prepgamesdirs
-}
-
-pkg_postinst() {
-	games_pkg_postinst
-	elog "NOTE: If you had previous version of abuse installed"
-	elog "you may need to remove ~/.abuse for the game to work correctly."
-}


^ permalink raw reply related	[flat|nested] 9+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: games-action/abuse/
@ 2017-11-19 13:34 David Seifert
  0 siblings, 0 replies; 9+ messages in thread
From: David Seifert @ 2017-11-19 13:34 UTC (permalink / raw
  To: gentoo-commits

commit:     267fb288253b6d21a16f832bdbb67ae213b7d64b
Author:     David Seifert <soap <AT> gentoo <DOT> org>
AuthorDate: Sun Nov 19 13:03:22 2017 +0000
Commit:     David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Sun Nov 19 13:34:12 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=267fb288

games-action/abuse: Add missing eutils inherit

Package-Manager: Portage-2.3.14, Repoman-2.3.6

 games-action/abuse/abuse-0.8-r1.ebuild | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

diff --git a/games-action/abuse/abuse-0.8-r1.ebuild b/games-action/abuse/abuse-0.8-r1.ebuild
index b43ca930f02..5099dd703aa 100644
--- a/games-action/abuse/abuse-0.8-r1.ebuild
+++ b/games-action/abuse/abuse-0.8-r1.ebuild
@@ -1,8 +1,9 @@
-# Copyright 1999-2016 Gentoo Foundation
+# Copyright 1999-2017 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=6
-inherit autotools
+
+inherit autotools eutils
 
 DESCRIPTION="Port of Abuse by Crack Dot Com"
 HOMEPAGE="http://abuse.zoy.org/"


^ permalink raw reply related	[flat|nested] 9+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: games-action/abuse/
@ 2019-02-17  9:52 James Le Cuirot
  0 siblings, 0 replies; 9+ messages in thread
From: James Le Cuirot @ 2019-02-17  9:52 UTC (permalink / raw
  To: gentoo-commits

commit:     520ab86b4ee56ea2e3733d5d847e113b96892759
Author:     James Le Cuirot <chewi <AT> gentoo <DOT> org>
AuthorDate: Sun Feb 17 09:50:56 2019 +0000
Commit:     James Le Cuirot <chewi <AT> gentoo <DOT> org>
CommitDate: Sun Feb 17 09:50:56 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=520ab86b

games-action/abuse: Version bump to 0.9_p20181213 from new SDL2 fork

OpenGL support is now handled solely by SDL.

Package-Manager: Portage-2.3.60, Repoman-2.3.12
Signed-off-by: James Le Cuirot <chewi <AT> gentoo.org>

 games-action/abuse/Manifest                   |  1 +
 games-action/abuse/abuse-0.9_p20181213.ebuild | 48 +++++++++++++++++++++++++++
 2 files changed, 49 insertions(+)

diff --git a/games-action/abuse/Manifest b/games-action/abuse/Manifest
index d229ba0e09d..411e98d2994 100644
--- a/games-action/abuse/Manifest
+++ b/games-action/abuse/Manifest
@@ -1 +1,2 @@
 DIST abuse-0.8.tar.gz 6053500 BLAKE2B 4f52256b7bf13e0efa77ef50147a976fdf1fceec4ce20fb4b855a9961a7c816cf08bf51286b424da42072956a137bc3385357cfdb61bf37ff9f907284d99e09c SHA512 5c60dcf6910f9f751da26e919cd289c12349bb82eb925f9a41dc921263ece0d0f5f24c2ab2d1c718c0a5d0315453f92dfcba665fe5082eb4135ed737d2859d18
+DIST abuse-0.9_p20181213.tar.gz 4668746 BLAKE2B 5834d9a3a3172ec6364adf4ffc4196e76b2f104a77d7c5eb94f72cb00e326a66b56bf66083ab8fd566d1bc97b7f8ac6ac1edb4ad60605526761487a45a4136ac SHA512 4a7bdd67880a86a686f896d42b9a7f0c3a6e8a9e8891e514ebb68634b6b31641f5ade91da0f0bd4e6da7081b67c3bf944246ec3538a547e5ee68b4d8f4cebbeb

diff --git a/games-action/abuse/abuse-0.9_p20181213.ebuild b/games-action/abuse/abuse-0.9_p20181213.ebuild
new file mode 100644
index 00000000000..5feb6d8953b
--- /dev/null
+++ b/games-action/abuse/abuse-0.9_p20181213.ebuild
@@ -0,0 +1,48 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit cmake-utils desktop xdg-utils
+
+COMMIT="42b6acd19af00689e8f34355e3b13323d8ea3f79"
+DATA_PV="0.8"
+
+DESCRIPTION="Port of Abuse by Crack Dot Com"
+HOMEPAGE="https://github.com/Xenoveritas/abuse"
+SRC_URI="https://github.com/Xenoveritas/abuse/archive/${COMMIT}.tar.gz -> ${P}.tar.gz
+	http://abuse.zoy.org/raw-attachment/wiki/download/${PN}-${DATA_PV}.tar.gz"
+
+LICENSE="GPL-2 public-domain WTFPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+DEPEND=">=media-libs/libsdl2-2.0.3[sound,video]
+	media-libs/sdl2-mixer"
+
+RDEPEND="${DEPEND}"
+
+S="${WORKDIR}/${PN}-${COMMIT}"
+
+src_prepare() {
+	ln -snf ../../${PN}-${DATA_PV}/data/{music,sfx} data/ || die
+	cmake-utils_src_prepare
+}
+
+src_configure() {
+	# https://github.com/Xenoveritas/abuse/pull/6
+	local mycmakeargs=(
+		-DBUILD_SHARED_LIBS=OFF
+	)
+
+	cmake-utils_src_configure
+}
+
+src_install() {
+	cmake-utils_src_install
+	doicon -s 32 doc/${PN}.png
+	make_desktop_entry abuse Abuse
+}
+
+pkg_postinst() { xdg_icon_cache_update; }
+pkg_postrm() { xdg_icon_cache_update; }


^ permalink raw reply related	[flat|nested] 9+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: games-action/abuse/
@ 2019-03-10 19:59 James Le Cuirot
  0 siblings, 0 replies; 9+ messages in thread
From: James Le Cuirot @ 2019-03-10 19:59 UTC (permalink / raw
  To: gentoo-commits

commit:     37f675111d7c406978fca283d5916b0b9da4f813
Author:     James Le Cuirot <chewi <AT> gentoo <DOT> org>
AuthorDate: Sun Mar 10 19:58:53 2019 +0000
Commit:     James Le Cuirot <chewi <AT> gentoo <DOT> org>
CommitDate: Sun Mar 10 19:58:53 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=37f67511

games-action/abuse: Require sdl2-mixer with the midi and wav flags

Closes: https://github.com/Xenoveritas/abuse/issues/7
Package-Manager: Portage-2.3.62, Repoman-2.3.12
Signed-off-by: James Le Cuirot <chewi <AT> gentoo.org>

 .../abuse/{abuse-0.9_p20181213.ebuild => abuse-0.9_p20181213-r1.ebuild} | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/games-action/abuse/abuse-0.9_p20181213.ebuild b/games-action/abuse/abuse-0.9_p20181213-r1.ebuild
similarity index 96%
rename from games-action/abuse/abuse-0.9_p20181213.ebuild
rename to games-action/abuse/abuse-0.9_p20181213-r1.ebuild
index 5feb6d8953b..5117d81dff9 100644
--- a/games-action/abuse/abuse-0.9_p20181213.ebuild
+++ b/games-action/abuse/abuse-0.9_p20181213-r1.ebuild
@@ -18,7 +18,7 @@ SLOT="0"
 KEYWORDS="~amd64 ~x86"
 
 DEPEND=">=media-libs/libsdl2-2.0.3[sound,video]
-	media-libs/sdl2-mixer"
+	media-libs/sdl2-mixer[midi,wav]"
 
 RDEPEND="${DEPEND}"
 


^ permalink raw reply related	[flat|nested] 9+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: games-action/abuse/
@ 2021-09-04 15:15 James Le Cuirot
  0 siblings, 0 replies; 9+ messages in thread
From: James Le Cuirot @ 2021-09-04 15:15 UTC (permalink / raw
  To: gentoo-commits

commit:     37eceb9c3b241c3ab9404500498b4966c6b24972
Author:     James Le Cuirot <chewi <AT> gentoo <DOT> org>
AuthorDate: Sat Sep  4 15:15:06 2021 +0000
Commit:     James Le Cuirot <chewi <AT> gentoo <DOT> org>
CommitDate: Sat Sep  4 15:15:06 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=37eceb9c

games-action/abuse: Version bump to 0.9.0, EAPI 8

There is a segfault issue if FluidSynth support is enabled in
sdl2-mixer but this affects the older version too.

Closes: https://bugs.gentoo.org/808913
Package-Manager: Portage-3.0.22, Repoman-3.0.3
Signed-off-by: James Le Cuirot <chewi <AT> gentoo.org>

 games-action/abuse/Manifest           |  1 +
 games-action/abuse/abuse-0.9.0.ebuild | 33 +++++++++++++++++++++++++++++++++
 2 files changed, 34 insertions(+)

diff --git a/games-action/abuse/Manifest b/games-action/abuse/Manifest
index 411e98d2994..c3c0391654e 100644
--- a/games-action/abuse/Manifest
+++ b/games-action/abuse/Manifest
@@ -1,2 +1,3 @@
 DIST abuse-0.8.tar.gz 6053500 BLAKE2B 4f52256b7bf13e0efa77ef50147a976fdf1fceec4ce20fb4b855a9961a7c816cf08bf51286b424da42072956a137bc3385357cfdb61bf37ff9f907284d99e09c SHA512 5c60dcf6910f9f751da26e919cd289c12349bb82eb925f9a41dc921263ece0d0f5f24c2ab2d1c718c0a5d0315453f92dfcba665fe5082eb4135ed737d2859d18
+DIST abuse-0.9.0.tar.gz 4666196 BLAKE2B 3896f5b986120e0d0385daf194e7ac158a77bea07aa5b508b9beb8ee8f9423b375a0daebd8e66124719b80a57cabb101d0258176d16d63cab030c8332ca2dfcc SHA512 6c8b85920412234986f11b5333a18c85e227ba421843373b5e1d5086e596f1b63adc8c320c657b3cddafd43af9de9b163f4617a9e78a5ea3f2d0281d0408ca1c
 DIST abuse-0.9_p20181213.tar.gz 4668746 BLAKE2B 5834d9a3a3172ec6364adf4ffc4196e76b2f104a77d7c5eb94f72cb00e326a66b56bf66083ab8fd566d1bc97b7f8ac6ac1edb4ad60605526761487a45a4136ac SHA512 4a7bdd67880a86a686f896d42b9a7f0c3a6e8a9e8891e514ebb68634b6b31641f5ade91da0f0bd4e6da7081b67c3bf944246ec3538a547e5ee68b4d8f4cebbeb

diff --git a/games-action/abuse/abuse-0.9.0.ebuild b/games-action/abuse/abuse-0.9.0.ebuild
new file mode 100644
index 00000000000..08462ae0f00
--- /dev/null
+++ b/games-action/abuse/abuse-0.9.0.ebuild
@@ -0,0 +1,33 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit cmake desktop xdg
+
+DATA_PV="0.8"
+
+DESCRIPTION="Port of Abuse by Crack Dot Com"
+HOMEPAGE="https://github.com/Xenoveritas/abuse"
+SRC_URI="https://github.com/Xenoveritas/abuse/archive/refs/tags/v${PV}.tar.gz -> ${P}.tar.gz
+	http://abuse.zoy.org/raw-attachment/wiki/download/${PN}-${DATA_PV}.tar.gz"
+
+LICENSE="GPL-2 public-domain WTFPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+DEPEND=">=media-libs/libsdl2-2.0.3[sound,video]
+	media-libs/sdl2-mixer[midi,wav]"
+
+RDEPEND="${DEPEND}"
+
+src_prepare() {
+	ln -snf ../../${PN}-${DATA_PV}/data/{music,sfx} data/ || die
+	cmake_src_prepare
+}
+
+src_install() {
+	cmake_src_install
+	doicon -s 32 doc/${PN}.png
+	make_desktop_entry abuse Abuse
+}


^ permalink raw reply related	[flat|nested] 9+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: games-action/abuse/
@ 2022-10-28 15:15 Pacho Ramos
  0 siblings, 0 replies; 9+ messages in thread
From: Pacho Ramos @ 2022-10-28 15:15 UTC (permalink / raw
  To: gentoo-commits

commit:     35059c5847fd0fff855d9e5fa9b336f1a4bfa4f5
Author:     Pacho Ramos <pacho <AT> gentoo <DOT> org>
AuthorDate: Fri Oct 28 14:39:29 2022 +0000
Commit:     Pacho Ramos <pacho <AT> gentoo <DOT> org>
CommitDate: Fri Oct 28 15:15:24 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=35059c58

games-action/abuse: add 0.9.1

Signed-off-by: Pacho Ramos <pacho <AT> gentoo.org>

 games-action/abuse/Manifest           |  1 +
 games-action/abuse/abuse-0.9.1.ebuild | 35 +++++++++++++++++++++++++++++++++++
 2 files changed, 36 insertions(+)

diff --git a/games-action/abuse/Manifest b/games-action/abuse/Manifest
index 497dcec74e23..03a7d90954c0 100644
--- a/games-action/abuse/Manifest
+++ b/games-action/abuse/Manifest
@@ -1,2 +1,3 @@
 DIST abuse-0.8.tar.gz 6053500 BLAKE2B 4f52256b7bf13e0efa77ef50147a976fdf1fceec4ce20fb4b855a9961a7c816cf08bf51286b424da42072956a137bc3385357cfdb61bf37ff9f907284d99e09c SHA512 5c60dcf6910f9f751da26e919cd289c12349bb82eb925f9a41dc921263ece0d0f5f24c2ab2d1c718c0a5d0315453f92dfcba665fe5082eb4135ed737d2859d18
 DIST abuse-0.9.0.tar.gz 4666196 BLAKE2B 3896f5b986120e0d0385daf194e7ac158a77bea07aa5b508b9beb8ee8f9423b375a0daebd8e66124719b80a57cabb101d0258176d16d63cab030c8332ca2dfcc SHA512 6c8b85920412234986f11b5333a18c85e227ba421843373b5e1d5086e596f1b63adc8c320c657b3cddafd43af9de9b163f4617a9e78a5ea3f2d0281d0408ca1c
+DIST abuse-0.9.1.tar.gz 3189092 BLAKE2B 7af8be86cdd5ede66ac200a193e5e37d188825d648aec8915e3b07608e02afc2be3f58b59dcc675d605c9a0a97b3caf256e46ba5d036e3139c254d281c50f611 SHA512 9b551e5946aba264674d56e34e7a28332676f89e93a66792e3de2cfc85264f074b7ba0d3a9c4b0ffc1ffd0d6023014cb5114c663e5677ab2fb128ca9c3997dc3

diff --git a/games-action/abuse/abuse-0.9.1.ebuild b/games-action/abuse/abuse-0.9.1.ebuild
new file mode 100644
index 000000000000..08700cc38dd6
--- /dev/null
+++ b/games-action/abuse/abuse-0.9.1.ebuild
@@ -0,0 +1,35 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit cmake desktop xdg
+
+DATA_PV="0.8"
+
+DESCRIPTION="Port of Abuse by Crack Dot Com"
+HOMEPAGE="https://github.com/Xenoveritas/abuse"
+SRC_URI="https://github.com/Xenoveritas/abuse/archive/refs/tags/v${PV}.tar.gz -> ${P}.tar.gz
+	http://abuse.zoy.org/raw-attachment/wiki/download/${PN}-${DATA_PV}.tar.gz"
+
+LICENSE="GPL-2 public-domain WTFPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+DEPEND=">=media-libs/libsdl2-2.0.3[sound,video]
+	media-libs/sdl2-mixer[midi,wav]
+"
+RDEPEND="${DEPEND}"
+
+src_install() {
+	cmake_src_install
+
+	cp -r ../${PN}-${DATA_PV}/data/{music,sfx} ${ED}/usr/share/games/abuse/ || die
+	cp -r ../${PN}-${DATA_PV}/data/addon/{aliens,claudio,leon,newart,twist} ${ED}/usr/share/games/abuse/addon/ || die
+	cp -r ../${PN}-${DATA_PV}/data/levels/frabs* ${ED}/usr/share/games/abuse/levels/ || die
+        
+	doicon data/freedesktop/com.github.Xenoveritas.abuse.png
+	domenu data/freedesktop/com.github.Xenoveritas.abuse.desktop
+	insinto /usr/share/metainfo
+	doins data/freedesktop/com.github.Xenoveritas.abuse.appdata.xml
+}


^ permalink raw reply related	[flat|nested] 9+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: games-action/abuse/
@ 2022-10-28 15:15 Pacho Ramos
  0 siblings, 0 replies; 9+ messages in thread
From: Pacho Ramos @ 2022-10-28 15:15 UTC (permalink / raw
  To: gentoo-commits

commit:     b0c028accc439c54ad4b68652feca988dab6860b
Author:     Pacho Ramos <pacho <AT> gentoo <DOT> org>
AuthorDate: Fri Oct 28 15:14:15 2022 +0000
Commit:     Pacho Ramos <pacho <AT> gentoo <DOT> org>
CommitDate: Fri Oct 28 15:15:25 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b0c028ac

games-action/abuse: Fix UnquotedVariable warning

Signed-off-by: Pacho Ramos <pacho <AT> gentoo.org>

 games-action/abuse/abuse-0.9.1.ebuild | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

diff --git a/games-action/abuse/abuse-0.9.1.ebuild b/games-action/abuse/abuse-0.9.1.ebuild
index 08700cc38dd6..a73011793960 100644
--- a/games-action/abuse/abuse-0.9.1.ebuild
+++ b/games-action/abuse/abuse-0.9.1.ebuild
@@ -24,10 +24,10 @@ RDEPEND="${DEPEND}"
 src_install() {
 	cmake_src_install
 
-	cp -r ../${PN}-${DATA_PV}/data/{music,sfx} ${ED}/usr/share/games/abuse/ || die
-	cp -r ../${PN}-${DATA_PV}/data/addon/{aliens,claudio,leon,newart,twist} ${ED}/usr/share/games/abuse/addon/ || die
-	cp -r ../${PN}-${DATA_PV}/data/levels/frabs* ${ED}/usr/share/games/abuse/levels/ || die
-        
+	cp -r ../${PN}-${DATA_PV}/data/{music,sfx} "${ED}"/usr/share/games/abuse/ || die
+	cp -r ../${PN}-${DATA_PV}/data/addon/{aliens,claudio,leon,newart,twist} "${ED}"/usr/share/games/abuse/addon/ || die
+	cp -r ../${PN}-${DATA_PV}/data/levels/frabs* "${ED}"/usr/share/games/abuse/levels/ || die
+
 	doicon data/freedesktop/com.github.Xenoveritas.abuse.png
 	domenu data/freedesktop/com.github.Xenoveritas.abuse.desktop
 	insinto /usr/share/metainfo


^ permalink raw reply related	[flat|nested] 9+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: games-action/abuse/
@ 2022-12-19  7:23 Ionen Wolkens
  0 siblings, 0 replies; 9+ messages in thread
From: Ionen Wolkens @ 2022-12-19  7:23 UTC (permalink / raw
  To: gentoo-commits

commit:     d83b05bc6b7bea1370066beab51051008f7e4282
Author:     Ionen Wolkens <ionen <AT> gentoo <DOT> org>
AuthorDate: Mon Dec 19 06:36:49 2022 +0000
Commit:     Ionen Wolkens <ionen <AT> gentoo <DOT> org>
CommitDate: Mon Dec 19 07:11:34 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d83b05bc

games-action/abuse: drop 0.9.0

Signed-off-by: Ionen Wolkens <ionen <AT> gentoo.org>

 games-action/abuse/Manifest           |  1 -
 games-action/abuse/abuse-0.9.0.ebuild | 33 ---------------------------------
 2 files changed, 34 deletions(-)

diff --git a/games-action/abuse/Manifest b/games-action/abuse/Manifest
index 03a7d90954c0..ac80e21af899 100644
--- a/games-action/abuse/Manifest
+++ b/games-action/abuse/Manifest
@@ -1,3 +1,2 @@
 DIST abuse-0.8.tar.gz 6053500 BLAKE2B 4f52256b7bf13e0efa77ef50147a976fdf1fceec4ce20fb4b855a9961a7c816cf08bf51286b424da42072956a137bc3385357cfdb61bf37ff9f907284d99e09c SHA512 5c60dcf6910f9f751da26e919cd289c12349bb82eb925f9a41dc921263ece0d0f5f24c2ab2d1c718c0a5d0315453f92dfcba665fe5082eb4135ed737d2859d18
-DIST abuse-0.9.0.tar.gz 4666196 BLAKE2B 3896f5b986120e0d0385daf194e7ac158a77bea07aa5b508b9beb8ee8f9423b375a0daebd8e66124719b80a57cabb101d0258176d16d63cab030c8332ca2dfcc SHA512 6c8b85920412234986f11b5333a18c85e227ba421843373b5e1d5086e596f1b63adc8c320c657b3cddafd43af9de9b163f4617a9e78a5ea3f2d0281d0408ca1c
 DIST abuse-0.9.1.tar.gz 3189092 BLAKE2B 7af8be86cdd5ede66ac200a193e5e37d188825d648aec8915e3b07608e02afc2be3f58b59dcc675d605c9a0a97b3caf256e46ba5d036e3139c254d281c50f611 SHA512 9b551e5946aba264674d56e34e7a28332676f89e93a66792e3de2cfc85264f074b7ba0d3a9c4b0ffc1ffd0d6023014cb5114c663e5677ab2fb128ca9c3997dc3

diff --git a/games-action/abuse/abuse-0.9.0.ebuild b/games-action/abuse/abuse-0.9.0.ebuild
deleted file mode 100644
index 08462ae0f003..000000000000
--- a/games-action/abuse/abuse-0.9.0.ebuild
+++ /dev/null
@@ -1,33 +0,0 @@
-# Copyright 1999-2021 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-inherit cmake desktop xdg
-
-DATA_PV="0.8"
-
-DESCRIPTION="Port of Abuse by Crack Dot Com"
-HOMEPAGE="https://github.com/Xenoveritas/abuse"
-SRC_URI="https://github.com/Xenoveritas/abuse/archive/refs/tags/v${PV}.tar.gz -> ${P}.tar.gz
-	http://abuse.zoy.org/raw-attachment/wiki/download/${PN}-${DATA_PV}.tar.gz"
-
-LICENSE="GPL-2 public-domain WTFPL-2"
-SLOT="0"
-KEYWORDS="~amd64 ~x86"
-
-DEPEND=">=media-libs/libsdl2-2.0.3[sound,video]
-	media-libs/sdl2-mixer[midi,wav]"
-
-RDEPEND="${DEPEND}"
-
-src_prepare() {
-	ln -snf ../../${PN}-${DATA_PV}/data/{music,sfx} data/ || die
-	cmake_src_prepare
-}
-
-src_install() {
-	cmake_src_install
-	doicon -s 32 doc/${PN}.png
-	make_desktop_entry abuse Abuse
-}


^ permalink raw reply related	[flat|nested] 9+ messages in thread

end of thread, other threads:[~2022-12-19  7:23 UTC | newest]

Thread overview: 9+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2017-11-19 13:34 [gentoo-commits] repo/gentoo:master commit in: games-action/abuse/ David Seifert
  -- strict thread matches above, loose matches on Subject: below --
2022-12-19  7:23 Ionen Wolkens
2022-10-28 15:15 Pacho Ramos
2022-10-28 15:15 Pacho Ramos
2021-09-04 15:15 James Le Cuirot
2019-03-10 19:59 James Le Cuirot
2019-02-17  9:52 James Le Cuirot
2017-11-19 13:34 David Seifert
2016-07-05 18:46 Austin English

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox